OpenCL™ Platform with Intel® Xeon Phi™ Coprocessor

To enable OpenCL™ support for the Intel® Xeon Phi™ coprocessor, install the OpenCL Runtime with support for Intel Xeon Phi coprocessors, available at https://software.intel.com/en-us/articles/legacy-opencl-drivers.

NOTE

Intel® Xeon Phi™ coprocessor support is deprecated for the latest versions of Intel® SDK for OpenCL™ Applications and Intel® CPU Runtime for OpenCL™ Applications:

  • Intel SDK for OpenCL Applications 2019 version and higher
  • Intel CPU Runtime for OpenCL Applications 18.1 version and higher

If you need Intel Xeon Phi coprocessor support, use legacy versions of Intel CPU Runtime for OpenCL Applications and Intel SDK for OpenCL Applications.

For the full list of the supported Intel processors, see the release notes for OpenCL runtime for Intel Xeon and Intel Core processors.

For more complete information about compiler optimizations, see our Optimization Notice.